Upload FBADCSV

Upload FBADCSV
Upload CSV file to be used for flow based application discovery

Upload CSV file to be used for application and tier discovery and optionally for naming applications and tiers.

Request
URI
POST
https://{api_host}/api/ni/groups/discovered-applications/custom-config/fbad/file/upload
COPY
Request Body
UploadFBADCSV of type(s) multipart/form-data
Required
{
    "file": "string"
}
string As binary As binary
file
Required

The CSV file to be uploaded.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns FBADCSVUploadResponse of type(s) application/json
{
    "filepath": "RkJBRF9URU1QX0ZJTEU6OklZTU9zQzd1NnQ5S0lEY0xybXRYRVEuY3N2"
}
string
filepath
Optional

Encoded file path


400

Bad Request

Returns BadRequestResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


404

Not Found

Returns NotFoundResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: multipart/form-data' -d '{"file":"string"}' https://{api_host}/api/ni/groups/discovered-applications/custom-config/fbad/file/upload